.field-toggle
    &__label
        display: inline-flex
        align-items: center
        justify-content: space-between
        position: relative
        cursor: pointer
        width: 100%
    &__input
        position: absolute
        width: 5px
        height: 5px
        top: 11px
        left: 11px
        z-index: -1
        &:checked + .field-toggle__slide
            border: 1px solid #709CCB
            &:before
                left: 100%
                margin-left: -20px
                background: #5EDBFF
                box-shadow: 0px 0px 6px #08BDF1
    &--opacity .field-toggle__text
        transition: all .1s .1s
        opacity: .6
        &--active
            opacity: 1
        
    &__slide
        position: relative
        width: 37px
        height: 20px
        background: rgba(0, 0, 0, 0.2)
        border: 1px solid #2F5072
        border-radius: 12px
        transition: all .1s .1s
        &:before
            content: ''
            display: block
            width: 20px
            height: 20px
            background: #2F5072
            border: 1px solid #1D3956
            box-sizing: content-box
            border-radius: 50%
            position: absolute
            left: -1px
            top: 50%
            transform: translateY(-50%)
            transition: all .1s .1s
        &--active
            border: 1px solid #709CCB
            &:before
                left: 100%
                margin-left: -20px
                background: #5EDBFF
                box-shadow: 0px 0px 6px #08BDF1